Skip to content

Gpt 4o Transcribe

Speech-to-text model powered by GPT-4o

API Endpoint

POST `https://audio.siraya.pro/v1/audio/transcriptions``

Request Parameters

Parameter Type Required Description
Authorization string Yes Your API Key (e.g., Bearer <API_KEY>).

Body

Parameter Type Default Description
model string - The model ID: Header.
input string - The text to convert to speech.
voice string - The voice ID to use.
output_format string url Result format (url or b64_json).

Usage Examples

curl https://audio.siraya.pro/v1/audio/transcriptions` \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <API_KEY>" \
  -d '{...}'
import requests

url = "https://audio.siraya.pro/v1/audio/transcriptions`"
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <API_KEY>"
}
data = {...}

response = requests.post(url, headers=headers, json=data)
print(response.json())